Bug Hunting Session
Bug 60579 - [Template manager] No way to change name of template
Summary: [Template manager] No way to change name of template
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.0.0.3 release
Hardware: Other All
: medium enhancement
Assignee: Cédric Bosdonnat
URL:
Whiteboard: target:4.1.0 target:4.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-10 11:46 UTC by Mirosław Zalewski
Modified: 2013-02-13 08:54 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mirosław Zalewski 2013-02-10 11:46:07 UTC
Template manager introduced in 4.0.0 does not have any option to change name of template. Some users find this useful. Please add it.
Comment 1 Jorendc 2013-02-10 13:37:40 UTC
I can confirm that you can't change name of a template in the template manager. Tested using Linux Mint 14 x64 LibreOffice 4.0.0.3rc3.
Comment 2 Cédric Bosdonnat 2013-02-11 09:09:40 UTC
I'm currently working on that one.
Comment 3 Not Assigned 2013-02-11 14:51:02 UTC
Cedric Bosdonnat committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d4617cf434844f15c7be29ecc95edf0b4e384e67

Templates Manager: UI for renaming templates and folders, fdo#60579



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Cédric Bosdonnat 2013-02-11 15:10:00 UTC
Feature added.
Comment 5 Not Assigned 2013-02-13 08:54:59 UTC
Cedric Bosdonnat committed a patch related to this issue.
It has been pushed to "libreoffice-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0b1deadc72eca6f782a5bb3a180d6f1d95f52721&h=libreoffice-4-0

Templates Manager: UI for renaming templates and folders, fdo#60579


It will be available in LibreOffice 4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.